<template>
	<fs-page>
    <fs-crud ref="crudRef" v-bind="crudBinding"> </fs-crud>
    <InventoryDialog ref="inventoryDialog" @completed="crudExpose && crudExpose.doRefresh && crudExpose.doRefresh()" />
		<InventoryDetailDialog ref="inventoryDetailDialog" />
	</fs-page>
</template>

<script lang="ts" setup name="Inventorycount">
import { useFs } from '@fast-crud/fast-crud';
import { onMounted,ref } from 'vue';
import { GetPermission } from './api';
import { createCrudOptions } from './crud';
import { handleColumnPermission } from '/@/utils/columnPermission';
import InventoryDialog from './InventoryDialog/index.vue';
import InventoryDetailDialog from './InventoryDetailDialog/index.vue';


const inventoryDialog = ref();
const inventoryDetailDialog = ref();
const { crudBinding, crudRef, crudExpose, crudOptions, resetCrudOptions } = useFs({ 
		createCrudOptions: (ctx) => createCrudOptions({ ...ctx, inventoryDialog, inventoryDetailDialog }) 
	});

// 页面打开后获取列表数据
onMounted(async () => {
	// 设置列权限
	const newOptions = await handleColumnPermission(GetPermission, crudOptions);
	//重置crudBinding
	resetCrudOptions(newOptions);
	// 刷新
	crudExpose.doRefresh();
});
</script>
